/* screen.css */

/* ==============================
Generische & Attributbedingte Elemente
============================== */

* {
  font-family: Verdana, Arial, Helvetica, sans-serif;
}

body {
  font-size: 10px;
  text-decoration: none;
  color: #000000;
  margin: 0px;
  padding: 0px;
  background-color: #FFFFFF;
}

/**
   * stefan: loosing my nerves on the box bug i insterted this according to wikipedia 
   * http://en.wikipedia.org/wiki/Internet_Explorer_box_model_bug). It _would_ be valid CSS2 
   * without it... :-(
*/

div, input {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
}


.warnhome { 
  color: #F66;
  background-color: #006;
  padding: 0; 
  font-weight: bold; 
}

.warn {
  font-style: italic;
  padding: 0; 
}


a {
  text-decoration: none;
  /* color: #29A5A5; */
color: #068686; 
}

a:hover {
  color: #000066;
}

p, div {
  font-size: 11px;
  line-height: 18px;
}

p {
  margin-top: 0px;
  margin-bottom: 18px; 
}

/* less margin-bottom in longer texts */
#help_content p, #editorial_content p, #fund_content p {
    margin-bottom: 0.7em;
}

/* dito if used in detail view  */
div.eintrag_sub {
    margin-bottom: .7em;
}


.logo-area {
  margin-right: -15em;
}

.logo-area a {
  display: table-row
  border: 1px solid white; 
  padding-right: 20px;
  padding-bottom: 20px;
}


/* seems only necessary for Editorial / Glossary */
dl  {
  font-size: 11px;
  line-height: 18px;
  margin-bottom: 1em; 
}

dt {
  float: left;
}

/* for tab-like list: */
/* 
ul li .label {
  display: block; 
  float: left; 
  width: 8em;
}
 */


ol {
  margin: 0;
  margin-bottom: 1em; 
  padding: 0 2em; 
}

ul {
  margin: 0;
  margin-bottom: 1em; 
}

ul.firstlevel {
  list-style-type: disc;
  padding-left: 3em; 
}

ul.secondlevel {
  list-style-type: disc;
  margin-top: -1em; 
  padding-left: 6em; 
}

ul.quicklinks_firstlevel {
  font-weight: bold;
  list-style-type: none;
  padding-left: 0; 
}

ul.quicklinks_secondlevel {
  font-weight: bold;
  list-style-type: none;
  margin-top: -1em; 
  padding-left: 3em; 
}

li {
  margin: 0;
  font-size: 11px;
  line-height: 18px;
}

h1, h2, h3, h4 {
/*   text-transform:capitalize !important; */
  font-size: 11px;
  margin-top: 0px;
  line-height: 18px;
}

h1, h4 {
  font-style: italic;  
  margin-left: 1px;
}

h1 {
  font-weight: normal;
  color: #808080;
  margin-bottom: 18px;
}

h2 {
  padding-top: 9px;
  font-weight: bold;
  margin-bottom: 9px;
}

h3 {
  padding-top: 0px;
  font-weight: bold;
  margin-bottom: 0px;
}

h4 {
  padding-top: 9px;
  font-weight: normal;
  margin-bottom: 9px;
}

table {
  font-size: 11px;
  line-height: 18px;
  border-spacing: 0px;
  border-collapse: collapse;
  margin: 0px;
  caption-side: top;
}

td {
  vertical-align: top;
  border-spacing: 10px;
  height: 18px;
  padding: 0px;
}

input, select, textarea {
  font-size: 100%;
  background-color: #FFF;
  /*  darkended again in bluescreen.css to enable white highlight for focus */
}

hr {
  width: 100%;  
  background-color: #000066;
  height: 0px;
  text-align: left;
  border-top: solid 1px #29A5A5;
  border-bottom: none 0px #FFFFFF;
}

img { 
  border:none;
}

/* ==============================
Individual- & verschachtelte Elemente
============================== */

#website {
  z-index: 1;
  display: none;
}

#navizone {
  background-color: #000066;
  top: 0px;
  left: 0px;
  width: 100%;
/*   height: 7.4em; */
  /* added by stefan (despite his strong dislike against absolute values), it's needed for small fonts */
  height: 74px;
  z-index: 1;
}

#navilogo1 {
  top: 0px;
  left: 0px;
  position: absolute;
  z-index: 2;
}

#navilogo2 {
  text-align: right;
  top: 14px;
  right: 25%;
  margin-right: -184px;
  position: absolute;
  z-index: 2;
}

#navilogo3 {
  text-align: right;
  top: 47px;
  right: 25%;
  margin-right: -183px;
  position: absolute;
  z-index: 2;
}

#menubar {
/*  text-transform:capitalize !important; */
  font-size: 11px;
  font-weight: bold;
  line-height: 14px;
  color: #33CCCC;
  padding-left: 74px;
  position: absolute;
  top: 51px;
  left: 0px;
  height: 23px;
  z-index: 3;
}

#menubar a {
  color: #FFFFFF;
}

#menubar a:hover {
  color: #33CCCC;
}

.menuline {
  font-size: 15px;
  font-weight: normal;
  padding-left: 1px;
  padding-right: 1px;
  color: #FFFFFF;
}

#sidenavi {
/*   text-transform:capitalize !important; */
  font-size: 11px;
  font-style: oblique;
  line-height: 18px;
  color: #000066;
  margin-top: 54px;
  margin-left: 5em;
  width: 25%;
  float: right;
  z-index: 2;
}

/* grrr, that's awful. Can't get rid of the table with that fuckin' IE... */
#sidenavi form {
  font-style: normal;
  margin-bottom: 12px;
}

#quicksearch {
  width: 180px; 
  text-align: left;
}

#quicksearch td {
  padding: 0px;
  height: 24px;
  overflow: hidden; 
  vertical-align: top;
}

#quicksearch input.quicksearch_input {
  position: relative;
  top: 0;
  padding: 0; 
  border-width: 2px;
  border-color: #000066 #33CCCC #33CCCC #000066;
  border-style: solid;
  width: 150px;
  height: 22px;
}

#quicksearch input.quicksearch_submit {
  position: relative;
  /* pure accident, but maybe this typo's the solution! IE reads 1px and real browsers don't! */
  top: 1;
  height: 22px;
  font-size: 10px;
  font-weight: bold;
  line-height: 1.6em;
  color: #FFFFFF;
  border: 1px #33CCCC solid;
  background-color: #000066;
  width: 32px;
  padding: 0 4px;
  padding-bottom: 3px;
  text-align: center;
}


#content_area {
/* 
* thanks to M$-fucking IE abolute seems to only way to use cross platform relative widths... grrr
*/
  position: absolute; 
  top: 100px;
  z-index: 1;
  left: 14%; 
  width: 56%; 
  margin-bottom: 2em; 
}

#seitentitel, #seitentitel2 {
  position: relative;
  max-width: 60em;
  z-index: 2;
}


#text_content, #help_content, #editorial_content, #fund_content, #suche_content, #hinweis_content {
  position: relative;
  padding: 0; 
  z-index: 2;
}  

#text_content, #help_content, #editorial_content {
  min-width: 30em;
  max-width: 60em;
}

#hinweis_content {
  top: 1em;
  max-width: 60em;
  margin-bottom: 1.5em;
  z-index: 2;
}

#suche_content {
  left: -18%;
  width: 118%;
}

#suche_table {
  width: 100%; 
}

#suche_content td.col_1 {
  width: 10%; 
  text-align: right;
}

#suche_content td.col_2, #suche_content td.col_2l  {
/*   width: 18em;  */
  width: 38%; 
  text-align: right;
}
#suche_content td.col_2l {
  text-align: left;
}

#suche_content td.col_3 {
  width: 38%; 
  text-align: left;
} 

#suche_content td.col_sep {
  width: 4% !important;
}

.search_conjunctor, .search_field, .search_value, .sort_select {
  width: 99%; 
}

.search_options_help {
  line-height: 1.4em; 
  margin-bottom: 2px; 
}

input.search_value, textarea.search_value { 
  border-width: 2px;
  border-style: solid;
  border-color: #248F8F #99E5E5 #99E5E5 #248F8F;
}

td.col_sep {
  width: 2em;
}

td.col_half {
  width: 48%;
}



/* ==============================
Klassen-Elemente
============================== */

/* Abstaetze & spans --------- */

.search_report {
  margin-bottom: 0.5em;
}

span.report_search_field {
  font-style: italic;   
}

span.report_search_value {
  font-weight: bold;  
  /* font-style: italic; */  
  margin-left: 1px;
 
}

/* s. eintrag_autor
.evident {
  font-weight: bold;
}
*/
.text {
  margin-bottom: 0px;
}

.seitennavi1 {
  margin-bottom: 0px;
}

.seitennavi2 {
  margin-bottom: 18px;
}

.seitennavi3 {
  /* stefan: made this inline */
  display: inline;
  text-align: right;
  margin-bottom: 18px;
}

.seitenlink {
/* stefan: now 'pager' below (class is hardcoded) */
}


/* stefan added: */
.pager {
  float: right; 
  text-align: right;
  font-size: 11px;
  line-height: 18px;
  margin-top: 0px;
  margin-bottom: 9px;
  padding: 0 3px; 
  text-align: right;
  margin-bottom: 18px;
}


a.pagelink {
  width: 2ex;
  /* background-color: #CCC; */
  padding: 0; 
  margin: 0; 
}

.pager_separator {
  letter-spacing:-0.2em;
  color: #444;
}

a.pagerlink {
  width: 2ex;
  letter-spacing:-0.2em;
  padding: 0; 
  margin: 0; 
}

.copyright {
  font-style: italic;  
  margin-left: 1px;

  color: #808080;
  margin-bottom: 18px;
}

/* Listen & Einzuege --------- */

.sponsoren {
  display: none;
}

.indent1 {
  margin-left: 18px;
  margin-bottom: 0px;
}

.indent3 {
  margin-left: 54px;
  margin-bottom: 0px;
}

/* Links --------------------- */

.linkline1, .linkline2, .linkline3, .link_url {
  font-style: italic;  
  color: #808080;
  margin-left: 1px;
}

.linkline1 {
  margin-bottom: 9px;
}

.linkline2 {
  margin-bottom: 18px;
}

.linkline3 {
  margin-bottom: 0px;
}

.link_url {
  margin-bottom: 18px;
}

.goto_top_laufend, .goto_top_laufend2, .goto_top_last, .goto_top_last2 {
  font-style: italic;  
  margin-left: 1px;
  text-align: right;
  margin-top: -9px;
  margin-bottom: 0px;
}

.goto_top_last {
  padding-bottom: 18px;
}

.goto_top_last2 {
  margin-top: 9px;
  padding-bottom: 18px;
}

/* ==============================
Tabellen-Elemente
============================== */

.sponsoren_logos {
  width: 100%;
}

.meldung_table {
  width: 100%;
}

.row_half {
  height: 9px;
}

.row_plus_half {
  height: 27px;
}

.row_line {
  text-align: right;
  vertical-align: middle;
  height: 36px;
}


/* ==============================
Input, Select und Textarea
============================== */

.meldung_input {
  border-width: 2px;
  border-style: solid;
  border-color: #248F8F #99E5E5 #99E5E5 #248F8F;
  width: 97%;
}

.meldung_table select {
  width: 98.5%; 
}

select.limit_select, select.viewmode_select {
  width: 100%;
}

input.choice, input.check {
  background-color: transparent;
  vertical-align: middle; 
}

/* ==============================
Button-Elemente
============================== */

input.button_senden, input.button_suchen {
  font-size: 10px;
  text-align: center;
  font-weight: bold;
  color: #FFFFFF;
  border: 1px solid #33CCCC;
  background-color: #000066;
  padding-top: 2px;
  padding-bottom: 2px;
}

input.button_senden {
  min-width: 71px;
  width: 24%; 
}

input.button_senden:hover {
  color: #33CCCC;
}

input.button_suchen {
  min-width: 71px;
  width: 49%;
}

input.button_suchen:hover {
  color: #33CCCC;
}


.eintrag {
  margin-bottom: 0; 
  z-index: 10; 
}

.kein_eintrag {
  margin-bottom: 1em;
}

.eintrag_detail {
  margin-bottom: 1em; 
}

.eintrag p, .eintrag_detail p {
  clear: both; 
  margin-bottom: 0.5em; 
}

.eintrag em, .eintrag_detail em {
  /* highlight search values */
  font-style: inherit; 
  font-weight: inherit; 

  background-color: #FFFFC0;    
  background-color: inherit;    
  background-color: #F8F8D8;    

/*   padding: 0 5px;
  margin: 0 -5px; */
  color: inherit;    
  color: #400;    
  z-index: 1; 
}


/* added by stefan */ 

div.eintrag_detail span.eintrag_literatursorte_float {
  float: left; 
}

div.eintrag_detail span.eintrag_sprache_float {
  float: right; 
  margin-right: 0; 
  text-align: right; 
}

span.eintrag_autor_fehlt, span.eintrag_titel_fehlt {
  font-weight: bold;
  margin-left: 1px;
  color: #888; 
}

span.eintrag_autor {
  clear: both;
  font-weight: bold;
}

span.eintrag_titel, span.eintrag_untertitel {
  font-style: italic;  
  margin-left: 1px;
}

span.eintrag_label {
  font-style: italic;  
  color: #444; 
}

.eintrag_detail table {
  margin: 0; 
  padding: 0; 
  text-align: left; 
}  

.eintrag_detail caption {
  caption-side: top;
  text-align: left; 
  font-weight: bold;
  margin: 0; 
  margin-bottom: 0.5em; 
}

.eintrag_detail td {
  padding-right: 1em; 
}

/* .eintrag_detail td.label {
  width: 30%
} */

.eintrag_detail td.value {
  width: 60%
}


/* make var dumps less sucking... */
pre.dump {
  margin-left: 600px; 
  clear: both; 
}

div#footer {
  display: none; 
  clear: both; 
  width: 100%; 
  background-color: #FCC;
  color: #000;
}

